Package com.creditcall.chipdnamobile

# Class PaymentPlatformStatus

java.lang.Object
com.creditcall.chipdnamobile.PaymentPlatformStatus

public class PaymentPlatformStatus extends Object
Created by Shingai on 08/08/2017.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `PaymentPlatformStatus.PaymentPlatformState`
  Payment platform connection state.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentPlatformStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getErrors()`
  Errors returned during the connection test.
  `String`
  `getLocalDateTime()`
  The payment platform local date time.
  `String`
  `getLocalDateTimeFormat()`
  The datetime format for `getLocalDateTime()` }
  `String`
  `getPaymentPlatformStatusCheckDateTime()`
  The date time when payment platform status was checked.
  `String`
  `getPaymentPlatformStatusCheckDateTimeFormat()`
  The datetime format for `getPaymentPlatformStatusCheckDateTime()` ()} }
  `PaymentPlatformStatus.PaymentPlatformState`
  `getState()`
  Payment platform connection state.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PaymentPlatformStatus

    public PaymentPlatformStatus()

- ## Method Details

  - ### getState

    public PaymentPlatformStatus.PaymentPlatformState getState()
    Payment platform connection state.

  - ### getLocalDateTimeFormat

    public String getLocalDateTimeFormat()
    The datetime format for `getLocalDateTime()` }

  - ### getLocalDateTime

    public String getLocalDateTime()
    The payment platform local date time.

  - ### getErrors

    public List<String> getErrors()
    Errors returned during the connection test.

  - ### getPaymentPlatformStatusCheckDateTime

    public String getPaymentPlatformStatusCheckDateTime()
    The date time when payment platform status was checked.

  - ### getPaymentPlatformStatusCheckDateTimeFormat

    public String getPaymentPlatformStatusCheckDateTimeFormat()
    The datetime format for `getPaymentPlatformStatusCheckDateTime()` ()} }